Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.wizards
Interface IClasspathContainerPage

All Superinterfaces:
  IDialogPage, IWizardPage

public interface IClasspathContainerPage
extends IWizardPage

A classpath container page allows the user to create a new or edit an existing classpatch container entry.

Clients should implement this interface and include the name of their class in an extension contributed to the jdt.ui's classpath container page extension point (named `org.eclipse.jdt.ui.classpathContainerPage` ).

Clients implementing this interface may subclass from `org.eclipse.jface.wizard.WizardPage`.

Clients implementing this interface may also implement `IClasspathContainerPageExtension` to get additional context before this page is opened.

Since:
  2.0

Method Summary
`boolean` | `finish()` Called when the classpath container wizard is closed by selecting the finish button.
`IClasspathEntry` | `getSelection()` Returns the edited or created classpath container entry.
`void` | `setSelection(IClasspathEntry containerEntry)` Sets the classpath container entry to be edited or `null` if a new entry should be created.

Methods inherited from interface org.eclipse.jface.wizard.IWizardPage
`canFlipToNextPage, getName, getNextPage, getPreviousPage, getWizard, isPageComplete, setPreviousPage, setWizard`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Method Detail

### finish

    public boolean finish()

  Called when the classpath container wizard is closed by selecting the finish button. Implementers typically override this method to store the page result (new/changed classpath entry returned in getSelection) into its model.

  Returns:
    if the operation was succesful. Only when returned `true`, the wizard will close.

### getSelection

    public IClasspathEntry getSelection()

  Returns the edited or created classpath container entry. This method may return `null` if no classpath container entry exists. The returned classpath entry is of kind `IClasspathEntry.CPE_CONTAINER` .

  Returns:
    the classpath entry edited or created on the page.

### setSelection

    public void setSelection(IClasspathEntry containerEntry)

  Sets the classpath container entry to be edited or `null` if a new entry should be created.

  Parameters:
    `containerEntry` - the classpath entry to edit or `null`. If unequals `null` then the classpath entry must be of kind `IClasspathEntry.CPE_CONTAINER`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.